Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports OTSMS
Imports System.Xml

Public Partial Class SendXML
	Inherits Form
	Public Sub New()
		InitializeComponent()
	End Sub

	Private Sub BtnCredit_Click(sender As Object, e As EventArgs)
		Dim sms As New sms()

		' XML وإرجاع النتيحة بالـ XML دالة فحص الرصيد بالـ
		Dim Credit As String = sms.GetCreditsXML(txtusername.Text, txtpass.Text).ToString()

		Dim doc As New XmlDocument()
		doc.LoadXml(Credit)
		' XML تحميل نتيجة فحص الرصيد على شكل
		Dim Code_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/MyCredit/ResultCredit/Code")
		Dim Code As String = Code_NOD.InnerText

		Select Case Code
			Case "1"
				Dim Credit_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/MyCredit/ResultCredit/Credit")
				Dim CreditResult As String = Credit_NOD.InnerText
				lblCredit.Text = CreditResult
				Exit Select
			Case "0"
				lblCredit.Text = "معلومات ناقصة.. اسم المستخدم أو كلمة المرور"
				Exit Select
			Case "00"
				lblCredit.Text = "اسم المستخدم او كلمة المرور فارغة"
				Exit Select
			Case "000"
				lblCredit.Text = "بيانات الدخول خاطئة"
				Exit Select
			Case "0000"
				lblCredit.Text = "رصيدك 0"
				Exit Select
			Case Else
				lblCredit.Text = "رمز مجهول.."
				Exit Select
		End Select

	End Sub

	Private Sub BtnSendSMS_Click(sender As Object, e As EventArgs)
		Dim smstool As New sms()

		'للإظهار jop_id والرصيد المخصوم والرصيد المتبقي
		Dim infos As String = "&infos=YES"

		' XML حيث تقوم بإرسال الرسالة وإرجاع النتيحة بالـ XML دالة الإرسال بالـ
		Dim statsms As String = smstool.SendSMSXML(txtusername.Text, txtpass.Text, txtnumber.Text, CMBsender.Text, txtmessage.Text, infos)

		Dim doc As New XmlDocument()
		doc.LoadXml(statsms)
		' XML تحميل نتيجة الإرسال التي على شكل
		' http://mobile.net.sa/APImobile.net.sa(ar).pdf على الموقع API المرجو مراجعة الوثيقة الخاصة بهذا

        If infos = "&infos=YES" Then
            Dim Code_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/SendSMS/ResultSending/Code")
            Dim Code As String = Code_NOD.InnerText

            If Code = "1" Then
                Dim JOB_ID_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/SendSMS/ResultSending/JOB_ID")
                Dim JOB_ID As String = JOB_ID_NOD.InnerText

                Dim Cost_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/SendSMS/ResultSending/Cost")
                Dim Cost As String = Cost_NOD.InnerText

                Dim Credit_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/SendSMS/ResultSending/Credit")
                Dim Credit As String = Credit_NOD.InnerText

                Dim result As String = "كود الإرسالية : " & JOB_ID & vbLf
                result += "الرصيد مخصوم : " & Cost & vbLf
                result += "الرصيد الإجمالي المتبقي : " & Credit & vbLf

                MessageBox.Show(result)
            Else
                Dim Message_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/SendSMS/ResultSending/Message")
                Dim Message As String = Message_NOD.InnerText


                MessageBox.Show(Message)

            End If
        Else
            Dim Code_NOD As XmlNode = doc.DocumentElement.SelectSingleNode("/SendSMS/ResultSending/ِCode")
            Dim Code As Integer = Convert.ToInt32(Code_NOD.InnerText)

            Select Case Code
                Case 1
                    MessageBox.Show(Convert.ToString("تم إرسال الرسالة بنجاح"))
                    Exit Select
                Case 1010
                    MessageBox.Show(Convert.ToString("البيانات ناقصة, في محتوى الرسالة أو الرقم."))
                    Exit Select
                Case 1020
                    MessageBox.Show(Convert.ToString("بيانات الدخول خاطئة"))
                    Exit Select
                Case 1030
                    MessageBox.Show(Convert.ToString("نفس الرسالة مع نفس الاتجاه توجد في الملحق، انتظر عشر ثواني قبل إعادة ارسالها"))
                    Exit Select
                Case 1040
                    MessageBox.Show(Convert.ToString("حروف غير معترف بها"))
                    Exit Select
                Case 1050
                    MessageBox.Show(Convert.ToString("الرسالة فارغة، السبب:الانتقاء قد سبب حذف محتوى الرسالة"))
                    Exit Select
                Case 1060
                    MessageBox.Show(Convert.ToString("إعتماد غير كافي لعميلة الإرسال."))
                    Exit Select
                Case 1070
                    MessageBox.Show(Convert.ToString("رصيدك 0 ، غير كافي لعملية الإرسال."))
                    Exit Select
                Case 1080
                    MessageBox.Show(Convert.ToString("رسالة غير مرسلة ، خطأ في عملية إرسال رسالة"))
                    Exit Select
                Case 1090
                    MessageBox.Show(Convert.ToString("تكرير عملية الانتقاء انتج الرسالة"))
                    Exit Select
                Case 1100
                    MessageBox.Show(Convert.ToString("عذرا ، لم يتم إرسال الرسالة. حاول في وقت لاحق."))
                    Exit Select
                Case 1110
                    MessageBox.Show(Convert.ToString("عذرا، هناك اسم مرسل خاطئ ثم استعماله، حاول من جديد تصحيح الاسم"))
                    Exit Select
                Case 1120
                    MessageBox.Show(Convert.ToString("عذرا ، هذا البلد الذي تحاول الإرسال له لاتشمله شبكتنا"))
                    Exit Select
                Case 1130
                    MessageBox.Show(Convert.ToString("عذرا، راجع المشرف على شبكاتنا باعتبار الشبكة المحددة في حسابكم"))
                    Exit Select
                Case 1140
                    MessageBox.Show(Convert.ToString("عذرا ، تجاوزت الحد الأقصى لأجزاء الرسائل. حاول إرسال عدد أقل من الأجزاء."))
                    Exit Select
                Case Else
                    MessageBox.Show(Convert.ToString("رمز مجهول.."))
                    Exit Select
            End Select
        End If

	End Sub

	Private Sub button1_Click(sender As Object, e As EventArgs)
		Dim smstool As New sms()

		Dim senderNames As String = smstool.get_sendernameXML(txtusername.Text, txtpass.Text)


		Dim doc As New XmlDocument()
		doc.LoadXml(senderNames)
		' XML تحميل نتيجة الريكويست على شكل

		Dim senderNamesList As XmlNodeList = doc.DocumentElement.SelectNodes("/ListSenderNamesActive/SenderNames")

		For Each node As XmlNode In senderNamesList
			CMBsender.Items.Add(node.SelectSingleNode("name").InnerText)
		Next

		If senderNamesList.Count > 0 Then
			CMBsender.SelectedIndex = 0
		End If


	End Sub

	Private Sub button1_Click_1(sender As Object, e As EventArgs)
		Dim frm As New sections()
		frm.ShowDialog()
	End Sub

	Private Sub button2_Click(sender As Object, e As EventArgs)
		Dim frm As New Send()
		frm.Show()
		Me.Close()
	End Sub

End Class
