Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms
Imports OTSMS
Imports System.Xml

Public Partial Class ShowNumbersXML
	Inherits Form

	Private dt As DataTable
	Private dt_cat As DataTable


	Public Sub New()

		InitializeComponent()
	End Sub

	Private Sub BtnShowCats_Click(sender As Object, e As EventArgs)
		Dim Cattool As New sms()

		Dim ShowCatsXMLstr As String = Cattool.showID_Name_catXML(txtusername.Text, txtpass.Text)

		Dim doc As New XmlDocument()
		doc.LoadXml(ShowCatsXMLstr)
		' XML تحميل نتيجة الريكويست على شكل

		Dim ShowCatsList As XmlNodeList = doc.DocumentElement.SelectNodes("/MyCategory/CategoriesDisplay")

		dt_cat = New DataTable()

		dt_cat.Columns.Add("id", GetType(String))
		dt_cat.Columns.Add("catname", GetType(String))

		For Each node As XmlNode In ShowCatsList
			dt_cat.Rows.Add(node.SelectSingleNode("CatId").InnerText, node.SelectSingleNode("CatName").InnerText)
		Next

		CMBcats.DataSource = dt_cat
		CMBcats.DisplayMember = "catname"
		CMBcats.ValueMember = "id"

		If CMBcats.Items.Count > 0 Then
			CMBcats.SelectedIndex = 0
		End If

	End Sub

	Private Sub BtnShowNumbersXML_Click(sender As Object, e As EventArgs)

		If CMBcats.Items.Count > 0 Then
			Dim id_cat As String = CMBcats.SelectedValue.ToString()

			Dim Numberstool As New sms()

			Dim ShowNumbersXMLstr As String = Numberstool.showID_Name_numbersXML(txtusername.Text, txtpass.Text, id_cat)

			Dim doc As New XmlDocument()
			doc.LoadXml(ShowNumbersXMLstr)
			' XML تحميل نتيجة الريكويست على شكل

			Dim ShowNumbersList As XmlNodeList = doc.DocumentElement.SelectNodes("/MyCategory/NumbersDisplay")

			Dim tab_ShowNumbersXMLstr As String() = ShowNumbersXMLstr.Split("|"C)

			dt = New DataTable()

			dt.Columns.Add("الرقم", GetType(String))
			dt.Columns.Add("رقم الجوال", GetType(String))
			dt.Columns.Add("الإسم", GetType(String))

			For Each node As XmlNode In ShowNumbersList
				dt.Rows.Add(node.SelectSingleNode("Mid").InnerText, node.SelectSingleNode("Mobile").InnerText, node.SelectSingleNode("Name").InnerText)
			Next



			dataGridView1.DataSource = dt
		End If

	End Sub

	Private Sub button1_Click(sender As Object, e As EventArgs)
		Dim frm As New ShowNumbers()
		frm.Show()
		Me.Hide()
	End Sub

End Class
